felix-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Clement Escoffier <clement.escoff...@gmail.com>
Subject Re: Problem iPOJO
Date Wed, 21 Mar 2012 20:36:42 GMT
Hi,

On 21.03.2012, at 21:32, Fairouz Fakhfakh wrote:

> Hello,
> I use felix gogo. I would like to create a bundle with iPOJO. I need in the
> code java some package of TTCN-3 language (language of test) to import.
> Also, I add jar necessary in the classpath of my project and in the
> felix_gogo\bin.
> Here are the necessary jars: TciTM.jar, TTloggingUtil.jar, TTorg.jar,
> TTpluginUtil.jar,TTthreeCommon.jar,
> TTthreeRuntime.jar, TTtools.jar
> But, the problem when I start this bundle, I have the following message:
> org.osgi.framework.BundleException: Unresolved constraint in bundle
> TRMCS.Gui [8 ]: Unable to resolve 8.0: missing requirement [8.0] package;
> (package=de.tu_berlin.cs.uebb.ttcn.runtime)
> So, I didn't undrestand, if I must add something in the  file
> "metadata.xml" or .bnd ?
> 

It's a bundle import issue, so .bnd. But it seems, there is no bundle exporting the required
package.

Regards,

Clement

> Thank you for answaring me.
> Best regards,
> 
> --
> Fairouz


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
For additional commands, e-mail: users-help@felix.apache.org


Mime
View raw message